#!/bin/bash
# -*- mode: sh; tab-width: 8; coding: utf-8-unix -*-

PREFIX=/usr/local
ROLE=base
NOW=`date +%Y-%m-%d`
NOWM=`date +%Y-%m`
prog=$( basename $0 .bash )

. /usr/local/bin/usr_local_tput.bash || exit 2

[ -f /usr/local/etc/testforge/testforge.bash ] && . /usr/local/etc/testforge/testforge.bash
[ $( id -u ) -eq 0 ] || { ERROR $prog should be run as root ; exit 1 ; }

ly=hourly
errs=0
warns=0

elt=base
LOG_DIR=/usr/local/tmp
ELOG=$LOG_DIR/E${prog}_${ly}$$.log
WLOG=$LOG_DIR/W${prog}_${ly}$$.log
OUT=$LOG_DIR/O${prog}_${ly}$$.log
find $LOG_DIR/*${prog}_${ly}*.log -ctime +2 -delete

ansible-inventory 2>> $WLOG || ERROR ansible-inventory $? >> $ELOG

if ip route | grep -q ^def ; then
    gpg-connect-agent --dirmngr 'keyserver --hosttable' /bye || exit 3$?
    dirmngr-client -v --ping </dev/null || exit 4$?
fi

if [ $USER = root ] ; then
    DBUG /var/log/auth.log
    grep --text $NOW'.*\(Permission denied\|Could not\)' /var/log/auth.log
#      | less -Ps"$NOW sauth.log" -Pm"$NOW sauth.log"

    dmesg |grep -q martian && WARN `dmesg |grep -c martian ` Martians

fi
find /tmp -type f -empty -delete

[ -f $WLOG ] && warns=`wc -l $WLOG | cut -f 1 -d ' '`
[ $? -eq 0 -a $warns -ne 0 ] && \
  WARN "$warns $ly $prog warnings in $WLOG"

[ -f $ELOG ] && errs=`wc -l $ELOG | cut -f 1 -d ' '`
[ $? -eq 0 -a $errs -ne 0 ] && \
  ERROR "$errs $ly $prog errors in $ELOG" && cat $ELOG && exit $errs

[ $errs -eq 0 ] && \
  ols_clean_testforge_logs $HARDEN_LOG_DIR && \
  [ $warns -eq 0 ] && \
  INFO  "$prog No $ly errors in $HARDEN_LOG_DIR"

exit 0
